Bug 810410 - [abrt] emesene-2.11.11-1.fc16: Conversation.py:234:on_block_user:KeyError: 'group1355287@groupsim.com'
[abrt] emesene-2.11.11-1.fc16: Conversation.py:234:on_block_user:KeyError: 'g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emesene (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
abrt_hash:0f96bcc2134ceecdce530bb0560...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 18:45 EDT by pam_pedro
Modified: 2013-02-13 09:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:52:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pam_pedro 2012-04-05 18:45:37 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/lib/python2.7/site-packages/emesene/emesene
comment:        I tried to block a group/contact. (MSN)
event_log:      2012-04-05-19:45:12> Smolt profile successfully saved
executable:     /usr/lib/python2.7/site-packages/emesene/emesene
kernel:         3.3.0-8.fc16.x86_64
reason:         Conversation.py:234:on_block_user:KeyError: 'group1355287@groupsim.com'
time:           Thu 05 Apr 2012 07:44:43 PM BRT
uid:            1000
username:       pedro

backtrace:
:Conversation.py:234:on_block_user:KeyError: 'group1355287@groupsim.com'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/emesene/gui/gtkui/ConversationToolbar.py", line 139, in <lambda>
:    lambda *args: self.handler.on_ublock_selected())
:  File "/usr/lib/python2.7/site-packages/emesene/gui/base/Handler.py", line 556, in on_ublock_selected
:    self.conversation.on_block_user()
:  File "/usr/lib/python2.7/site-packages/emesene/gui/base/Conversation.py", line 234, in on_block_user
:    contact = self.session.contacts.contacts[account]
:KeyError: 'group1355287@groupsim.com'
:
:Local variables in innermost frame:
:account: 'group1355287@groupsim.com'
:self: <Conversation object at 0x2f58af0 (GtkVBox at 0x369a580)>

smolt_data:
:
:
:General
:=================================
:UUID: 2712bf7c-956e-4c04-b126-129f03cff474
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4257.06
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3 CPU       M 330  @ 2.13GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2133
:System Memory: 3756
:System Swap: 8000
:Vendor: LENOVO
:System: 0677 Lenovo G460
:Form factor: Notebook
:Kernel: 3.3.0-8.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:6058:14635) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:14635) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:14622) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:14635) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:14635) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:14635) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:14635) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:14527) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15144:6058:14529) pci, ata_piix, STORAGE, 5 Series/3400 Series Chipset 4 port SATA IDE Controller
:(32902:15113:6058:14526) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:14528) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15149:6058:14530) pci, ata_piix, STORAGE, 5 Series/3400 Series Chipset 2 port SATA IDE Controller
:(32902:15174:6058:14514) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:9288:6058:14399) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:14506) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:14520) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:14501) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:6058:14624) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:6058:14512) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:14513) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:14516) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:14511) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4332:33078:6058:14638) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(5772:43:6058:12449) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 28130363 22190817 21909324 7045120 6730455 6730455
:/dev/sdb1 WITHHELD fuseblk 4096 4096 122096000 45688137 45688137 183047460 182829232 182829232
:
Comment 1 Fedora End Of Life 2013-01-16 08:56:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 09:52:17 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.